summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMassimiliano Torromeo2018-02-12 23:49:01 +0100
committerMassimiliano Torromeo2018-02-12 23:49:09 +0100
commit09193a9e04a09018aaa965dabff73435ac8317d0 (patch)
tree14703fb949993a6f9937f6e141835b037ee0bc64
parenta5447160598a9580760e0494a88379b27de1f49e (diff)
downloadaur-09193a9e04a09018aaa965dabff73435ac8317d0.tar.gz
Updated to 0.0.43
-rw-r--r--.SRCINFO32
-rw-r--r--PKGBUILD34
-rw-r--r--nokogiri-version.patch13
3 files changed, 17 insertions, 62 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0a6be2a4197..0dd9cc9b688 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Tue Nov 14 13:44:02 UTC 2017
+# Mon Feb 12 22:49:02 UTC 2018
pkgbase = vagrant-libvirt
pkgdesc = libvirt provider plugin for Vagrant
- pkgver = 0.0.40
- pkgrel = 8
+ pkgver = 0.0.43
+ pkgrel = 1
url = https://github.com/vagrant-libvirt/vagrant-libvirt
arch = i686
arch = x86_64
@@ -12,32 +12,18 @@ pkgbase = vagrant-libvirt
depends = vagrant
depends = libvirt
depends = openssl-1.0
- noextract = formatador-0.2.5.gem
- noextract = excon-0.54.0.gem
- noextract = fog-xml-0.1.2.gem
- noextract = fog-json-1.0.2.gem
- noextract = fog-libvirt-0.3.0.gem
+ noextract = fog-libvirt-0.4.2.gem
noextract = fog-core-1.43.0.gem
noextract = ruby-libvirt-0.7.0.gem
- noextract = vagrant-libvirt-0.0.40.gem
- source = https://github.com/vagrant-libvirt/vagrant-libvirt/archive/0.0.40/vagrant-libvirt-0.0.40.tar.gz
- source = nokogiri-version.patch
+ noextract = vagrant-libvirt-0.0.43.gem
+ source = https://github.com/vagrant-libvirt/vagrant-libvirt/archive/0.0.43/vagrant-libvirt-0.0.43.tar.gz
source = https://rubygems.org/downloads/ruby-libvirt-0.7.0.gem
source = https://rubygems.org/downloads/fog-core-1.43.0.gem
- source = https://rubygems.org/downloads/fog-libvirt-0.3.0.gem
- source = https://rubygems.org/downloads/fog-json-1.0.2.gem
- source = https://rubygems.org/downloads/fog-xml-0.1.2.gem
- source = https://rubygems.org/downloads/excon-0.54.0.gem
- source = https://rubygems.org/downloads/formatador-0.2.5.gem
- sha256sums = 9baba0c338c89acd9d0e594467ba9c8eef1d07039bb6da4a11e432e934b288a3
- sha256sums = 6fde2ec924f84ad5d3b8846d54d9dfd66215d1a10a7383672ee34d5dd78ed8f5
+ source = https://rubygems.org/downloads/fog-libvirt-0.4.2.gem
+ sha256sums = af1c0bcf29777aa23590c2627ce83a28e16f5cdfa5a19c66415049c903a5873a
sha256sums = 61f1261500dd18ea42452a7a69dce8606057e9c1143d1224201d8c29db0bc703
sha256sums = 866b816e7516d6787bc074fcec8bb530ebf196685fee03cf56a69ecd852e8229
- sha256sums = 079bf3f4b03c6cde89d88256fed06c855680eba614ff8cf4674e033414031191
- sha256sums = 19006b42ac58cc71442e97d00de454824245b3780bb091cfa97e4a25db9cbb29
- sha256sums = 0a3b624ae6503d167a1fdfb5d0da669b3d98c7e301a6092e22ff10f5ffd2e694
- sha256sums = a32d6e509dd99b9b201c4d3a50b08e4ea7279dfc99bc05332799a00d92368b48
- sha256sums = 80821869ddacb79e72870ff4bb1531efacd278c04f2df26bc6b4529ee13582bd
+ sha256sums = b08b05742188c7c89062fbf3874c37355ea71562fd9d3028a2279e9d2d227736
pkgname = vagrant-libvirt
diff --git a/PKGBUILD b/PKGBUILD
index 9061027680d..c932fe8c308 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,15 +1,11 @@
# Maintainer: Massimiliano Torromeo <massimiliano.torromeo@gmail.com>
pkgname=vagrant-libvirt
-pkgver=0.0.40
-pkgrel=8
-_foglibvirtver=0.3.0
+pkgver=0.0.43
+pkgrel=1
+_foglibvirtver=0.4.2
_fogcorever=1.43.0
-_fogjsonver=1.0.2
-_fogxmlver=0.1.2
_libvirtver=0.7.0
-_exconver=0.54.0
-_formatadorver=0.2.5
pkgdesc="libvirt provider plugin for Vagrant"
arch=(i686 x86_64)
url="https://github.com/vagrant-libvirt/vagrant-libvirt"
@@ -18,35 +14,21 @@ depends=("vagrant" "libvirt" "openssl-1.0")
makedepends=("git")
# "https://rubygems.org/downloads/vagrant-libvirt-$pkgver.gem"
source=("https://github.com/vagrant-libvirt/vagrant-libvirt/archive/$pkgver/$pkgname-$pkgver.tar.gz"
- "nokogiri-version.patch"
"https://rubygems.org/downloads/ruby-libvirt-$_libvirtver.gem"
"https://rubygems.org/downloads/fog-core-$_fogcorever.gem"
- "https://rubygems.org/downloads/fog-libvirt-$_foglibvirtver.gem"
- "https://rubygems.org/downloads/fog-json-$_fogjsonver.gem"
- "https://rubygems.org/downloads/fog-xml-$_fogxmlver.gem"
- "https://rubygems.org/downloads/excon-$_exconver.gem"
- "https://rubygems.org/downloads/formatador-$_formatadorver.gem")
-noextract=("formatador-$_formatadorver.gem"
- "excon-$_exconver.gem"
- "fog-xml-$_fogxmlver.gem"
- "fog-json-$_fogjsonver.gem"
- "fog-libvirt-$_foglibvirtver.gem"
+ "https://rubygems.org/downloads/fog-libvirt-$_foglibvirtver.gem")
+noextract=("fog-libvirt-$_foglibvirtver.gem"
"fog-core-$_fogcorever.gem"
"ruby-libvirt-$_libvirtver.gem"
"vagrant-libvirt-$pkgver.gem")
-sha256sums=('9baba0c338c89acd9d0e594467ba9c8eef1d07039bb6da4a11e432e934b288a3'
- '6fde2ec924f84ad5d3b8846d54d9dfd66215d1a10a7383672ee34d5dd78ed8f5'
+sha256sums=('af1c0bcf29777aa23590c2627ce83a28e16f5cdfa5a19c66415049c903a5873a'
'61f1261500dd18ea42452a7a69dce8606057e9c1143d1224201d8c29db0bc703'
'866b816e7516d6787bc074fcec8bb530ebf196685fee03cf56a69ecd852e8229'
- '079bf3f4b03c6cde89d88256fed06c855680eba614ff8cf4674e033414031191'
- '19006b42ac58cc71442e97d00de454824245b3780bb091cfa97e4a25db9cbb29'
- '0a3b624ae6503d167a1fdfb5d0da669b3d98c7e301a6092e22ff10f5ffd2e694'
- 'a32d6e509dd99b9b201c4d3a50b08e4ea7279dfc99bc05332799a00d92368b48'
- '80821869ddacb79e72870ff4bb1531efacd278c04f2df26bc6b4529ee13582bd')
+ 'b08b05742188c7c89062fbf3874c37355ea71562fd9d3028a2279e9d2d227736')
prepare() {
cd "$srcdir/$pkgname-$pkgver"
- patch -p1 -i "$srcdir/nokogiri-version.patch"
+ # patch -p1 -i "$srcdir/nokogiri-version.patch"
git init
git add .
}
diff --git a/nokogiri-version.patch b/nokogiri-version.patch
deleted file mode 100644
index 9830687b2af..00000000000
--- a/nokogiri-version.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/vagrant-libvirt.gemspec b/vagrant-libvirt.gemspec
-index c975df6..ca61bda 100644
---- a/vagrant-libvirt.gemspec
-+++ b/vagrant-libvirt.gemspec
-@@ -21,7 +21,7 @@ Gem::Specification.new do |gem|
- gem.add_development_dependency "rspec-mocks", "~> 2.14.0"
-
- gem.add_runtime_dependency 'fog-libvirt', '>= 0.3.0'
-- gem.add_runtime_dependency 'nokogiri', '~> 1.6.0'
-+ gem.add_runtime_dependency 'nokogiri', '~> 1.7.1'
- gem.add_runtime_dependency 'fog-core', '~> 1.43.0'
-
- gem.add_development_dependency 'rake'